Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.configuration
Class WFSConfigurationDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.owscommon.OWSCommonCapabilitiesDocument
                      org.deegree.ogcwebservices.wfs.capabilities.WFSCapabilitiesDocument_1_1_0
                          org.deegree.ogcwebservices.wfs.capabilities.WFSCapabilitiesDocument
                              org.deegree.ogcwebservices.wfs.configuration.WFSConfigurationDocument

All Implemented Interfaces:
  Serializable

    public class WFSConfigurationDocument

extends WFSCapabilitiesDocument

Represents an XML configuration document for a deegree WFS instance, i.e. it consists of all sections common to an OGC WFS 1.1 capabilities document plus some deegree specific elements.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`protected static ILogger` | `LOG`

Fields inherited from class org.deegree.ogcwebservices.wfs.capabilities.WFSCapabilitiesDocument_1_1_0
`DEEGREEWFSNS, FEATURE_TYPE_LIST_NAME, FILTER_CAPABILITIES_NAME, OGCNS, SERVES_GML_OBJECT_TYPE_LIST_NAME, SUPPORTS_GML_OBJECT_TYPE_LIST_NAME, WFSNS`

Fields inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`ALL_NAME, CONTENTS_NAME, OPERATIONS_METADATA_NAME, OWSNS, SERVICE_IDENTIFICATION_NAME, SERVICE_PROVIDER_NAME`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WFSConfigurationDocument()`

Method Summary
`WFSConfiguration` | `getConfiguration()` Creates an object representation of the document.
`WFSDeegreeParams` | `getDeegreeParams()` Creates an object representation of the `deegreeParams`- section.
`WFSFeatureType` | `getFeatureTypeType(Element element)` Returns the object representation for an element of type `wfs:FeatureTypeType`.
`protected Operation` | `getOperation(String name, boolean isMandatory, Map<String,Element> operations, URL defaultUrlGet, URL defaultUrlPost)` Creates an object representation of an `ows:Operation`- element.
`OperationsMetadata` | `getOperationsMetadata(URL defaultUrlGet, URL defaultUrlPost)` Creates an object representation of the `ows:OperationsMetadata` section.

Methods inherited from class org.deegree.ogcwebservices.wfs.capabilities.WFSCapabilitiesDocument
`parseCapabilities`

Methods inherited from class org.deegree.ogcwebservices.wfs.capabilities.WFSCapabilitiesDocument_1_1_0
`createEmptyDocument, createEmptyDocument, getFeatureTypeList, getFilterCapabilities, getFormatType, getGMLObjectType, getMetadataURL, getOperationsMetadata, getOperationsType, getServesGMLObjectTypeList, getServiceIdentification, getSupportsGMLObjectTypeList`

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`getCodeType, getContraints, getDCP, getDCPs, getKeywords, getKeywords, getOperation, getOWSDomainType, getServiceProvider, getWGS84BoundingBoxType`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOG

    protected static final ILogger LOG

Constructor Detail

### WFSConfigurationDocument

    public WFSConfigurationDocument()

Method Detail

### getConfiguration

    public WFSConfiguration getConfiguration()
                                      throws InvalidConfigurationException

  Creates an object representation of the document.

  Returns:
    class representation of the configuration document
  Throws:
    `InvalidConfigurationException`

### getDeegreeParams

    public WFSDeegreeParams getDeegreeParams()
                                      throws InvalidConfigurationException

  Creates an object representation of the `deegreeParams`- section.

  Returns:
    class representation of the `deegreeParams`- section
  Throws:
    `InvalidConfigurationException`

### getOperationsMetadata

    public OperationsMetadata getOperationsMetadata(URL defaultUrlGet,
                                                    URL defaultUrlPost)
                                             throws XMLParsingException

  Creates an object representation of the `ows:OperationsMetadata` section.

  Parameters:
    `defaultUrlGet` -
    `defaultUrlPost` -
  Returns:
    object representation of the `ows:OperationsMetadata` section
  Throws:
    `XMLParsingException`

### getOperation

    protected Operation getOperation(String name,
                                     boolean isMandatory,
                                     Map<String,Element> operations,
                                     URL defaultUrlGet,
                                     URL defaultUrlPost)
                              throws XMLParsingException

  Creates an object representation of an `ows:Operation`- element.

  Parameters:
    `name` -
    `isMandatory` -
    `operations` -
    `defaultUrlGet` -
    `defaultUrlPost` -
  Returns:
    object representation of `ows:Operation`- element
  Throws:
    `XMLParsingException`

### getFeatureTypeType

    public WFSFeatureType getFeatureTypeType(Element element)
                                      throws XMLParsingException

  Returns the object representation for an element of type `wfs:FeatureTypeType`.

  Overrides:
    `getFeatureTypeType` in class `WFSCapabilitiesDocument_1_1_0`
  Parameters:
    `element` -
  Returns:
    object representation for the element of type `wfs:OperationsType`
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org